%define cairo_version 1.4.14
%define fontconfig_version 2.5
%define freetype_version 2.3.5
%define glib2_version 2.17.3
%define libXrender_version 0.9.4
%define pkgconfig_version 0.19

Summary: System for layout and rendering of internationalized text
Name: pango
Version: 1.24.5
Release: 1
License: LGPLv2+
Group: System Environment/Libraries
Source0: http://download.gnome.org/sources/pango/1.24/%{name}-%{version}.tar.bz2
Source1: http://download.gnome.org/sources/pango/1.24/%{name}-%{version}.sha256sum
URL: http://www.pango.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make
BuildRequires: cairo-devel >= %{cairo_version}
BuildRequires: fontconfig-devel >= %{fontconfig_version}
BuildRequires: freetype2-devel >= %{freetype_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: libthai-devel
BuildRequires: libXrender-devel >= %{libXrender_version}
BuildRequires: pkg-config >= %{pkgconfig_version}

Requires: cairo >= %{cairo_version}
Requires: fontconfig >= %{fontconfig_version}
Requires: freetype2 >= %{freetype_version}
Requires: glib2 >= %{glib2_version}
Requires: libthai
Requires: libXrender >= %{libXrender_version}

%description
Pango is a system for layout and rendering of internationalized text.

The library is available as 32-bit and 64-bit.


%package devel
Summary: System for layout and rendering of internationalized text
Group: Development/Libraries
Requires: pango = %{version}-%{release}
Requires: cairo-devel >= %{cairo_version}
Requires: fontconfig-devel >= %{fontconfig_version}
Requires: freetype2-devel >= %{freetype_version}
Requires: glib2-devel >= %{glib2_version}
Requires: libthai-devel
Requires: libXrender-devel >= %{libXrender_version}
Requires: pkg-config >= %{pkgconfig_version}

%description devel
The pango-devel package includes the header files and developer docs
for the pango package.

Install pango-devel if you want to develop programs which will use
pango.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static \
    --with-included-modules=yes
gmake %{?_smp_mflags}

cp ./pango/.libs/libpango-1.0.so.0 .
cp ./pango/.libs/libpangox-1.0.so.0 .
cp ./pango/.libs/libpangoft2-1.0.so.0 .
cp ./pango/.libs/libpangocairo-1.0.so.0 .
gmake distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static \
    --with-included-modules=yes
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libpango-1.0.a ./libpango-1.0.so.0
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libpangox-1.0.a ./libpangox-1.0.so.0
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libpangoft2-1.0.a ./libpangoft2-1.0.so.0
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libpangocairo-1.0.a ./libpangocairo-1.0.so.0

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%post
%{_bindir}/pango-querymodules > %{_sysconfdir}/pango/pango.modules


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README AUTHORS COPYING NEWS pango-view/HELLO.txt
%{_bindir}/pango-querymodules*
%{_libdir}/*.a
%{_libdir}/pango
%{_mandir}/man1/*

%dir %{_sysconfdir}/pango
%config %{_sysconfdir}/pango/pangox.aliases

/usr/bin/pango-querymodules
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%doc %{_datadir}/gtk-doc/html/pango
%{_bindir}/pango-view
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
/usr/bin/pango-view
/usr/lib/*.la


%changelog
* Mon Jul 27 2009 Michael Perzl <michael@perzl.org> - 1.24.5-1
- updated to version 1.24.5

* Wed Jul 01 2009 Michael Perzl <michael@perzl.org> - 1.24.4-1
- updated to version 1.24.4

* Fri Jun 26 2009 Michael Perzl <michael@perzl.org> - 1.24.3-1
- updated to version 1.24.3

* Fri Jun 26 2009 Michael Perzl <michael@perzl.org> - 1.24.2-1
- updated to version 1.24.2

* Wed Dec 17 2008 Michael Perzl <michael@perzl.org> - 1.22.4-1
- updated to version 1.22.4

* Thu Oct 23 2008 Michael Perzl <michael@perzl.org> - 1.22.1-1
- updated to version 1.22.1

* Fri Jul 04 2008 Michael Perzl <michael@perzl.org> - 1.20.5-1
- updated to version 1.20.5

* Tue Apr 15 2008 Michael Perzl <michael@perzl.org> - 1.18.4-1
- first version for AIX V5.1 and higher
